# Interface Choice

interface Choice {
finish_reason: string;
index: number;
logprobs?: any;
message: MessageContent;
}

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:19

#####
Index

### Properties

finish_reason
index
logprobs?
message

## Properties

### finish_reason

finish_reason: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:23

### index

index: number

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:20

### `Optional` logprobs

logprobs?: any

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:22

### message

message: MessageContent

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:21